---
search:
  tags:
    - Broadcasts
    - GET
seo:
  description: >-
    Retrieve a broadcast. Reference for the GET /broadcasts/{id} endpoint in the
    BillionSend API.
sidebar:
  label: Retrieve a broadcast
  badge: GET
title: Retrieve a broadcast
type: openapi-operation
---
`GET /broadcasts/{id}`

**Responses**

- `200` — Broadcast
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c",
  "status": "string",
  "created_at": "string",
  "scheduled_at": "string",
  "sent_at": "string",
  "failure_reason": "domain_missing",
  "failed_at": "string",
  "sent_count": 0,
  "finishes_at": "string",
  "object": "broadcast",
  "from": "string",
  "subject": "string",
  "reply_to": [
    "string"
  ],
  "preview_text": "string",
  "topic_id": "646807af-5da6-43aa-83d3-8ac1d15ab4e5",
  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
  "html": "string",
  "text": "string"
}
```
